// pages/category/category.js
const app = getApp()
const wxService = require('../../utils/wxService')
import { Integer } from '../../utils/integerDigitalConvertion'

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
    curMenu: [0, 0],
    navData: [],

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if (typeof this.getTabBar === 'function' &&
      this.getTabBar()) {
      this.getTabBar().setData({
        selected: 1
      })
    }
    this.getCategoryList()
  },

  // 分类列表
  getCategoryList() {
    wx.showLoading({
      title: '加载中'
    })
    wxService.get(`/sale/product/mallCategory/buyer/findCategoryTree`).then(res => {
      const { result, data } = res.data
      if (result == 0) {
        wx.hideLoading()
        this.setData({
          navData: data
        })
      }
    }).finally(() => {
      wx.hideLoading()
    })
  },

  selectMenu: function (event) {
    const { id1, id2, name1, name2 } = event.target.dataset
    // xm_bi.Event.stat("classClick", {
    //   "className": name2,
    //   "classType": "中类",
    //   "classID": id2
    // })

    this.setData({
      curMenu: [event.target.dataset.i, event.target.dataset.j]
    })
    // app.sr.track('browse_category_detail', {
    //   first_category: {
    //     id: id1,
    //     name: name1
    //   },
    //   second_category: {
    //     id: id2,
    //     name: name2
    //   }
    // })
  },



  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function (res) {
    let tentacleInfo = {
      content: '分类',
      title: '分类',
      contentType: app.globalData.contants.SHARE_TYPE.CLASSIFY,
      type: 3// 1:门店,2:员工(暂时不做),3:会员,4:第三方外部渠道,5:智能营销
    };
    wxService.getTentacleContent(tentacleInfo).then(res => {
      if (res && res.tentacleId) {
        let tentacleId = Integer.digit(res.tentacleId, 10, 64);
        var path = `pages/category/category?t=${tentacleId}`;
        return {
          path: path
        }
      }
    });
  }
})